Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entries.snmptrap
Class JobEntrySNMPTrap

    java.lang.Object
      org.pentaho.di.job.entry.JobEntryBase
          org.pentaho.di.job.entries.snmptrap.JobEntrySNMPTrap

All Implemented Interfaces:
  Cloneable, org.pentaho.di.core.CheckResultSourceInterface, org.pentaho.di.core.variables.VariableSpace, JobEntryInterface, ResourceHolderInterface

    public class JobEntrySNMPTrap

extends JobEntryBase
implements Cloneable, JobEntryInterface

This defines an SNMPTrap job entry.

Since:
  05-11-2003
Author:
  Matt

Field Summary
`static int` | `DEFAULT_PORT` Default port
`static String[]` | `target_type_Code`
`static String[]` | `target_type_Desc`

Fields inherited from class org.pentaho.di.job.entry.JobEntryBase
`category_order`

Constructor Summary
`JobEntrySNMPTrap()`
`JobEntrySNMPTrap(JobEntryBase jeb)`
`JobEntrySNMPTrap(String n)`

Method Summary
`Object` | `clone()`
`boolean` | `evaluates()` check whether or not this job entry evaluates.
`org.pentaho.di.core.Result` | `execute(org.pentaho.di.core.Result previousResult, int nr, Repository rep, Job parentJob)`
`String` | `getComString()`
`String` | `getEngineID()`
`String` | `getMessage()`
`String` | `getOID()`
`String` | `getPassPhrase()`
`String` | `getPort()`
`String` | `getRetry()`
`String` | `getServerName()`
`String` | `getTargetType()`
`String` | `getTargetTypeCode(String tt)`
`String` | `getTargetTypeDesc(String tt)`
`String` | `getTimeout()`
`String` | `getUser()`
`String` | `getXML()`
`void` | `loadRep(Repository rep, long id_jobentry, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers)`
`void` | `loadXML(Node entrynode, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers, Repository rep)`
`void` | `saveRep(Repository rep, long id_job)`
`void` | `setComString(String comString)`
`void` | `setEngineID(String engineid)`
`void` | `setMessage(String message)`
`void` | `setOID(String oid)`
`void` | `setPassPhrase(String passphrase)`
`void` | `setPort(String port)`
`void` | `setRetry(String nrretry)`
`void` | `setServerName(String serverName)`
`void` | `setTargetType(String targettypein)`
`void` | `setTimeout(String timeout)`
`void` | `setUser(String user)`

Methods inherited from class org.pentaho.di.job.entry.JobEntryBase
`check, clear, copyVariablesFrom, environmentSubstitute, environmentSubstitute, exportResources, getBooleanValueOfVariable, getConfigId, getDescription, getDialogClassName, getFilename, getHolderType, getID, getJobEntryType, getName, getParentVariableSpace, getPluginID, getRealFilename, getResourceDependencies, getSQLStatements, getSQLStatements, getTypeCode, getTypeCode, getTypeDesc, getTypeDesc, getTypeId, getUsedDatabaseConnections, getVariable, getVariable, hasChanged, initializeVariablesFrom, injectVariables, isDummy, isEvaluation, isFTP, isHTTP, isJob, isMail, isSFTP, isShell, isSpecial, isStart, isTransformation, isUnconditional, listVariables, loadXML, parseRepositoryObjects, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setParentVariableSpace, setPluginID, setVariable, shareVariablesWith, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pentaho.di.job.entry.JobEntryInterface
`check, clear, exportResources, getConfigId, getDescription, getDialogClassName, getFilename, getID, getJobEntryType, getName, getPluginID, getRealFilename, getResourceDependencies, getSQLStatements, getSQLStatements, getTypeCode, getUsedDatabaseConnections, hasChanged, isDummy, isEvaluation, isJob, isMail, isShell, isSpecial, isStart, isTransformation, isUnconditional, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setPluginID`

Field Detail

### DEFAULT_PORT

    public static int DEFAULT_PORT

  Default port

### target_type_Desc

    public static final String[] target_type_Desc

### target_type_Code

    public static final String[] target_type_Code

Constructor Detail

### JobEntrySNMPTrap

    public JobEntrySNMPTrap(String n)

### JobEntrySNMPTrap

    public JobEntrySNMPTrap()

### JobEntrySNMPTrap

    public JobEntrySNMPTrap(JobEntryBase jeb)

Method Detail

### clone

    public Object clone()

  Specified by:
    `clone` in interface `JobEntryInterface`
  Overrides:
    `clone` in class `JobEntryBase`

### getTargetTypeDesc

    public String getTargetTypeDesc(String tt)

### getTargetTypeCode

    public String getTargetTypeCode(String tt)

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `JobEntryInterface`
  Overrides:
    `getXML` in class `JobEntryBase`

### loadXML

    public void loadXML(Node entrynode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers,
                        Repository rep)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Specified by:
    `loadXML` in interface `JobEntryInterface`
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### loadRep

    public void loadRep(Repository rep,
                        long id_jobentry,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `loadRep` in interface `JobEntryInterface`
  Overrides:
    `loadRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveRep

    public void saveRep(Repository rep,
                        long id_job)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `saveRep` in interface `JobEntryInterface`
  Overrides:
    `saveRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getServerName

    public String getServerName()

  Returns:
    Returns the serverName.

### setServerName

    public void setServerName(String serverName)

  Parameters:
    `serverName` - The serverName to set.

### getOID

    public String getOID()

  Returns:
    Returns the OID.

### setOID

    public void setOID(String oid)

  Parameters:
    `serverName` - The oid to set.

### getComString

    public String getComString()

  Returns:
    Returns the comString.

### setComString

    public void setComString(String comString)

  Parameters:
    `comString` - The comString to set.

### setUser

    public void setUser(String user)

  Parameters:
    `user` - The user to set.

### getUser

    public String getUser()

  Returns:
    Returns the user.

### setPassPhrase

    public void setPassPhrase(String passphrase)

  Parameters:
    `user` - The passphrase to set.

### getPassPhrase

    public String getPassPhrase()

  Returns:
    Returns the passphrase.

### setEngineID

    public void setEngineID(String engineid)

  Parameters:
    `user` - The engineid to set.

### getEngineID

    public String getEngineID()

  Returns:
    Returns the engineid.

### getTargetType

    public String getTargetType()

### setTargetType

    public void setTargetType(String targettypein)

### setMessage

    public void setMessage(String message)

  Parameters:
    `message` - The message to set.

### getMessage

    public String getMessage()

  Returns:
    Returns the comString.

### getPort

    public String getPort()

  Returns:
    Returns the port.

### setPort

    public void setPort(String port)

  Parameters:
    `port` - The port to set.

### setTimeout

    public void setTimeout(String timeout)

  Parameters:
    `timeout` - The timeout to set.

### getTimeout

    public String getTimeout()

  Returns:
    Returns the timeout.

### setRetry

    public void setRetry(String nrretry)

  Parameters:
    `nrretry` - The nrretry to set.

### getRetry

    public String getRetry()

  Returns:
    Returns the nrretry.

### execute

    public org.pentaho.di.core.Result execute(org.pentaho.di.core.Result previousResult,
                                              int nr,
                                              Repository rep,
                                              Job parentJob)

  Specified by:
    `execute` in interface `JobEntryInterface`

### evaluates

    public boolean evaluates()

  Description copied from class: `JobEntryBase`
  check whether or not this job entry evaluates.

  Specified by:
    `evaluates` in interface `JobEntryInterface`
  Overrides:
    `evaluates` in class `JobEntryBase`
  Returns:
    true if the job entry evaluates

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD